Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerPreferenceInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerPreferenceInfo

All Implemented Interfaces:
  PreferenceInfo

    public class ContainerPreferenceInfo

extends java.lang.Object
implements PreferenceInfo

Version:
  $Revision: 6818 $
Author:
  Julien Viet

Constructor Summary
`ContainerPreferenceInfo(java.lang.String key, org.jboss.portal.common.i18n.LocalizedString displayName, org.jboss.portal.common.i18n.LocalizedString description, boolean readOnly, java.util.List<java.lang.String> value)`

Method Summary
`java.util.List<java.lang.String>` | `getDefaultValue()` Return the value provided by the portlet.xml deployment descriptor.
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()` Retrieves the localized description of the described preference.
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Retrieves the localized display name of the described preference.
`java.lang.String` | `getKey()` Retrieves the key associated to the described preference.
`java.lang.Boolean` | `isReadOnly()` Return true if the preference is read-only, false otherwise or null if it cannot be determined.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerPreferenceInfo

    public ContainerPreferenceInfo(java.lang.String key,
                                   org.jboss.portal.common.i18n.LocalizedString displayName,
                                   org.jboss.portal.common.i18n.LocalizedString description,
                                   boolean readOnly,
                                   java.util.List<java.lang.String> value)

Method Detail

### getKey

    public java.lang.String getKey()

  Description copied from interface: `PreferenceInfo`
  Retrieves the key associated to the described preference.

  Specified by:
    `getKey` in interface `PreferenceInfo`
  Returns:
    the key associated to the described preference.

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Description copied from interface: `PreferenceInfo`
  Retrieves the localized display name of the described preference.

  Specified by:
    `getDisplayName` in interface `PreferenceInfo`
  Returns:
    the localized display name of the described preference.
  See Also:
    `LocalizedString`

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Description copied from interface: `PreferenceInfo`
  Retrieves the localized description of the described preference.

  Specified by:
    `getDescription` in interface `PreferenceInfo`
  Returns:
    the localized description of the described preference.
  See Also:
    `LocalizedString`

### isReadOnly

    public java.lang.Boolean isReadOnly()

  Description copied from interface: `PreferenceInfo`
  Return true if the preference is read-only, false otherwise or null if it cannot be determined.

  Specified by:
    `isReadOnly` in interface `PreferenceInfo`
  Returns:
    `true` if the described preference is read-only, `false` otherwise.

### getDefaultValue

    public java.util.List<java.lang.String> getDefaultValue()

  Return the value provided by the portlet.xml deployment descriptor.

  Specified by:
    `getDefaultValue` in interface `PreferenceInfo`
  Returns:
    the preference value associated with this preference meta data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.